#custom-cursor { position: fixed; top: 0; left: 0; width: 12px; height: 12px; background: #fff; mix-blend-mode: difference; border-radius: 50%; pointer-events: none; z-index: 2147483647 !important; transform: translate(-50%, -50%); opacity: 0; transition: opacity 0.4s, width 0.3s, height 0.3s; }
#custom-cursor.appearing { opacity: 1 !important; }
#custom-cursor.hidden-cursor,
body:has(#cursor-aura.has-label) #custom-cursor {
    opacity: 0 !important;
}

#cursor-aura { position: fixed; top: 0; left: 0; width: 0; height: 0; pointer-events: none; z-index: 2147483647 !important; transform: translate(-50%, -50%); display: flex; align-items: center; justify-content: center; opacity: 0; border-radius: 50%; background: #fff; mix-blend-mode: difference; transition: width 0.4s cubic-bezier(0.2, 0.8, 0.2, 1), height 0.4s cubic-bezier(0.2, 0.8, 0.2, 1), opacity 0.3s; }
#cursor-aura.has-label { width: 110px; height: 110px; opacity: 1; }

#cursor-center-text { font-size: 10px; font-weight: 900; color: #000; text-transform: uppercase; white-space: nowrap; visibility: hidden; position: absolute; }
#cursor-aura.has-label #cursor-center-text { visibility: visible; }

.rotating-text { position: absolute; width: 185px; height: 185px; animation: rotateText 10s linear infinite; opacity: 0; transition: 0.3s; }
#cursor-aura.has-label .rotating-text { opacity: 1; }
@keyframes rotateText { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); } }
.rotating-text text { fill: #000; font-size: 14px; font-weight: 900; text-transform: uppercase; letter-spacing: 2px; }
#cursor-aura.style-click { border-radius: 0; width: 60px; height: 60px; opacity: 1; background: rgba(255,255,255,0.1); border: 2px solid #fff; clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%); }
#cursor-aura.style-click #cursor-center-text { visibility: visible; font-size: 8px; }



